API ReferenceNet load

Past range

get
/v4/net-load/past-range

Get the net load for a zone and a given datetime range.

The time range a single request may cover depends on the granularity: 3 days for 5_minutes, 4 days for 15_minutes, 10 days for hourly, 365 days for daily, and 30 years for monthly, quarterly and yearly. If you need more data, you can loop over time ranges.

Query Parameters

start required

The start datetime to get the data for.

Format: ISO 8601 datetime
Example: "2024-05-19T03:00:00Z"
end required

The end datetime to get the data for.

Format: ISO 8601 datetime
Example: "2024-05-19T08:00:00Z"
zone optional

An Electricity Maps zone key.

Example: "DK-DK2"
temporalGranularity optional

The temporal granularity of the data to get.

Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly", "daily", "monthly", "quarterly", "yearly"
lat optional

Latitude of the location to get the data for.

Example: 41.877
lon optional

Longitude of the location to get the data for.

Example: -88.0703
emissionFactorType optional

The type of emission factors to use.

Default: "lifecycle"
One of: "direct", "lifecycle"
flowTraced optional

Whether values are flow-traced. true accounts for electricity flows and returns consumption-based values; false returns values for the zone's own generation only.

Default: true
Example: false
disableCallerLookup optional

If true, the fallback IP-based zone lookup will not be performed.

Default: false
disableEstimations optional

If true, the response will exclude estimated data points

Default: false

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v4/net-load/past-range?start=2024-05-19T03%3A00%3A00Z&end=2024-05-19T08%3A00%3A00Z"
{  "zone": "string",  "data": [    {      "zone": "DK-DK2",      "datetime": "2024-05-19T03:00:00.000Z",      "createdAt": "2024-05-16T03:48:50.419Z",      "updatedAt": "2025-07-25T12:32:42.039Z",      "value": 4321,      "unit": "MW",      "source": "entsoe.eu",      "isEstimated": false,      "estimationMethod": "string",      "temporalGranularity": "hourly",      "flowTraced": true    }  ],  "temporalGranularity": "hourly",  "aggregationPeriod": "hourly"}

Playground

get
/v4/net-load/past-range
Explore the API with a 14-day trial.